package cl.jtv;

/*
 * ComandoEIM.java
 *
 * Created on 19 de febrero de 2003, 12:41 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoEIM extends Comando {
    
    private int indexCinta;

    /** Creates new ComandoEIM */
    public ComandoEIM(Object newArtefacto, Vector2 newVector2, int newIndexCinta) {
        super(newArtefacto,newVector2);
        indexCinta = newIndexCinta;
    }
    
    public void doIt(){
        
        Maquina maquina = (Maquina) artefacto;
        maquina.setIndiceCinta(indexCinta);
    }
    
    
}
